package cn.reghao.tnb.content.app.vod.db.mapper;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.jutil.jdk.web.db.Page;
import cn.reghao.tnb.content.app.vod.model.po.VideoTag;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author reghao
 * @date 2023-05-11 15:21:31
 */
@Mapper
public interface VideoTagMapper extends BaseMapper<VideoTag> {
    void updateSetScope(@Param("videoId") String videoId, @Param("scope") int scope);

    int countVideosByTag(@Param("tagId") String tagId, @Param("scopes") List<Integer> scopes);
    List<String> findVideosByPage(@Param("page") Page page, @Param("tagId") String tagId, @Param("scopes") List<Integer> scopes);

    List<String> findVideoTags(String videoId);
    List<String> findByGroupBy();
}
